Subject: Re: [CDNi] Including cdn-path in RI responses?

From: Ben Niven-Jenkins <[email-masked]>
Date: Thu, 21 Aug 2014 11:41:36 +0100

Colleagues,

I haven't seen any response to my e-mail below, but it is holiday season, so in the editors' working copy I have changed section 4.2 of the redirection draft to say

"""
Requests MUST contain a cdn-path key and responses MAY contain a cdn-path key.

...

The cdn-path MAY be reflected back in RI responses, although doing so may expose information to the uCDN that a dCDN may not wish to expose (for example, the existence of business relationships between a dCDN and other CDNs).
"""

The editors plan to publish a -03 version in the next few days, so if anyone objects to this change in -03, please speak up.

Thanks
Ben 

On 28 Jul 2014, at 20:09, Ben Niven-Jenkins <[email-masked]> wrote:

> Colleagues,
> 
> While doing some editing on the Redirection Interface draft, I noticed that we currently say that can-path MUST be included in both RI requests and RI responses.
> 
> Including it in requests is fine and necessary for loop detection.
> 
> However, I can’t think of a good reason to include it in responses, except for debugging purposes, and in a production environment including can-path in responses may expose information to a uCDN (business relationships between a dCDN and other CDNs) that the dCDN may not want to expose.
> 
> Unless anyone can provide a good reason why cdn-path MUST be included in RI responses, I plan to change the document to say that can-path MUST be included in RI requests and MAY be included in RI responses along with a note that including it in responses may expose business relationships so need consideration before doing so.
> 
> Any objections?
> 
> Thanks
> Ben
> 
> _______________________________________________
> CDNi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cdni